Method: executions.queryExecutionInputsAndOutputs

Full name: projects.locations.metadataStores.executions.queryExecutionInputsAndOutputs

Obtains the set of input and output Artifacts for this Execution, in the form of LineageSubgraph that also contains the Execution and connecting events.

Endpoint

get https://{service-endpoint}/v1beta1/{execution}:queryExecutionInputsAndOutputs

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

execution string

Required. The resource name of the Execution whose input and output Artifacts should be retrieved as a LineageSubgraph. Format: projects/{project}/locations/{location}/metadataStores/{metadatastore}/executions/{execution}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of LineageSubgraph.

IAM Permissions

Requires the following IAM permission on the execution resource:

  • aiplatform.executions.queryExecutionInputsAndOutputs

For more information, see the IAM documentation.